Bug 1386268 - NetApp Cinder driver: cloning operations are unsuccessful
Summary: NetApp Cinder driver: cloning operations are unsuccessful
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 7.0 (Kilo)
Assignee: Eric Harney
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On: 1370012 1386253
Blocks: 1386255 1386263
TreeView+ depends on / blocked
 
Reported: 2016-10-18 13:59 UTC by Eric Harney
Modified: 2022-07-09 09:45 UTC (History)
11 users (show)

Fixed In Version: openstack-cinder-2015.1.3-11.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1386253
Environment:
Last Closed: 2017-02-15 22:59:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1608596 0 None None None 2016-10-18 13:59:28 UTC
OpenStack gerrit 386041 0 None None None 2016-10-18 13:59:28 UTC
Red Hat Issue Tracker OSP-16926 0 None None None 2022-07-09 09:45:36 UTC
Red Hat Knowledge Base (Solution) 2644511 0 None None None 2016-10-18 13:59:28 UTC
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Description Eric Harney 2016-10-18 13:59:29 UTC
+++ This bug was initially created as a clone of Bug #1386253 +++

+++ This bug was initially created as a clone of Bug #1370012 +++

Description of problem:
Cinder cloning operations are unsuccessful when using the cinder NetApp driver

Version-Release number of selected component (if applicable):
openstack-cinder-2014.2.4-6.el7ost.noarch

How reproducible:
Very often (10% of the time),  cinder cloning operations are unsuccessful

Steps to Reproduce:
1.
2.
3.

Actual results:



--- Additional comment from Eric Harney on 2016-10-13 11:45:31 EDT ---

I've submitted a new patch upstream which I think may be an easier workaround.  It will be waiting for review from NetApp engineers.

https://review.openstack.org/#/c/386041/

Comment 2 lkuchlan 2016-12-05 14:17:44 UTC
Tested using:
openstack-cinder-2015.1.3-11.el7ost.noarch

Verification flow:

[root@dhcp88-142 ~(keystone_admin)]# cinder create 1
+---------------------+--------------------------------------+
|       Property      |                Value                 |
+---------------------+--------------------------------------+
|     attachments     |                  []                  |
|  availability_zone  |                 nova                 |
|       bootable      |                false                 |
|      created_at     |      2016-12-05T14:11:47.114618      |
| display_description |                 None                 |
|     display_name    |                 None                 |
|      encrypted      |                False                 |
|          id         | 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17 |
|       metadata      |                  {}                  |
|     multiattach     |                false                 |
|         size        |                  1                   |
|     snapshot_id     |                 None                 |
|     source_volid    |                 None                 |
|        status       |               creating               |
|     volume_type     |                 None                 |
+---------------------+--------------------------------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17 | available |      -       |  1   |      -      |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder show 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17
+---------------------------------------+----------------------------------------------------------------------------------+
|                Property               |                                      Value                                       |
+---------------------------------------+----------------------------------------------------------------------------------+
|              attachments              |                                        []                                        |
|           availability_zone           |                                       nova                                       |
|                bootable               |                                      false                                       |
|               created_at              |                            2016-12-05T14:11:47.000000                            |
|          display_description          |                                       None                                       |
|              display_name             |                                       None                                       |
|               encrypted               |                                      False                                       |
|                   id                  |                       63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17                       |
|                metadata               |                                        {}                                        |
|              multiattach              |                                      false                                       |
|         os-vol-host-attr:host         | dhcp88-142.scl.lab.tlv.redhat.com@Netapp-nfs1#10.35.64.11:/vol/vol_rhos_auto_nfs |
|     os-vol-mig-status-attr:migstat    |                                       None                                       |
|     os-vol-mig-status-attr:name_id    |                                       None                                       |
|      os-vol-tenant-attr:tenant_id     |                         186ac665f80d41369d73efb3dea516f2                         |
|   os-volume-replication:driver_data   |                                       None                                       |
| os-volume-replication:extended_status |                                       None                                       |
|                  size                 |                                        1                                         |
|              snapshot_id              |                                       None                                       |
|              source_volid             |                                       None                                       |
|                 status                |                                    available                                     |
|              volume_type              |                                       None                                       |
+---------------------------------------+----------------------------------------------------------------------------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder create 1 --source-volid 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17
+---------------------+--------------------------------------+
|       Property      |                Value                 |
+---------------------+--------------------------------------+
|     attachments     |                  []                  |
|  availability_zone  |                 nova                 |
|       bootable      |                false                 |
|      created_at     |      2016-12-05T14:12:43.630590      |
| display_description |                 None                 |
|     display_name    |                 None                 |
|      encrypted      |                False                 |
|          id         | 9854dd23-a69d-42dd-ae47-72def2cdfc08 |
|       metadata      |                  {}                  |
|     multiattach     |                false                 |
|         size        |                  1                   |
|     snapshot_id     |                 None                 |
|     source_volid    | 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17 |
|        status       |               creating               |
|     volume_type     |                 None                 |
+---------------------+--------------------------------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17 | available |      -       |  1   |      -      |  false   |             |
| 9854dd23-a69d-42dd-ae47-72def2cdfc08 | available |      -       |  1   |      -      |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder create 1 --image-id 30b1fcfc-8593-4f19-badc-b1e04c23f30e
+---------------------+--------------------------------------+
|       Property      |                Value                 |
+---------------------+--------------------------------------+
|     attachments     |                  []                  |
|  availability_zone  |                 nova                 |
|       bootable      |                false                 |
|      created_at     |      2016-12-05T14:13:29.471608      |
| display_description |                 None                 |
|     display_name    |                 None                 |
|      encrypted      |                False                 |
|          id         | 548b2413-2aeb-4cec-8605-038211ffdc3f |
|       image_id      | 30b1fcfc-8593-4f19-badc-b1e04c23f30e |
|       metadata      |                  {}                  |
|     multiattach     |                false                 |
|         size        |                  1                   |
|     snapshot_id     |                 None                 |
|     source_volid    |                 None                 |
|        status       |               creating               |
|     volume_type     |                 None                 |
+---------------------+--------------------------------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+-------------+--------------+------+-------------+----------+-------------+
|                  ID                  |    Status   | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-------------+--------------+------+-------------+----------+-------------+
| 548b2413-2aeb-4cec-8605-038211ffdc3f | downloading |      -       |  1   |      -      |  false   |             |
| 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17 |  available  |      -       |  1   |      -      |  false   |             |
| 9854dd23-a69d-42dd-ae47-72def2cdfc08 |  available  |      -       |  1   |      -      |  false   |             |
+--------------------------------------+-------------+--------------+------+-------------+----------+-------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 548b2413-2aeb-4cec-8605-038211ffdc3f | available |      -       |  1   |      -      |   true   |             |
| 63e5c6fb-1dfb-4cd8-a73c-e5e214c21e17 | available |      -       |  1   |      -      |  false   |             |
| 9854dd23-a69d-42dd-ae47-72def2cdfc08 | available |      -       |  1   |      -      |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+

Comment 4 errata-xmlrpc 2017-02-15 22:59:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.